/**
 * Copyright 2022-2025 Theai, Inc. dba Inworld AI
 */
#include "InworldRuntimeErrors.h"

FString FInworldRuntimeErrors::GetErrorMessage(EInworldRuntimeErrors Code)
{
	switch (Code)
	{
		case EInworldRuntimeErrors::SUCCESS:
			return TEXT("Success");
		case EInworldRuntimeErrors::NOT_IMPLEMENTED:
			return TEXT("Not implemented");
		case EInworldRuntimeErrors::CANT_PARSE_JSON:
			return TEXT("Can't parse JSON");
		case EInworldRuntimeErrors::SUBGRAPH_ASSET_NOTVALID:
			return TEXT("Subgraph asset is not valid");
		case EInworldRuntimeErrors::SUBGRAPH_ONE_STARTEND:
			return TEXT("Subgraph must have one Start and one End node");
		case EInworldRuntimeErrors::LOCAL_TTS_NOTSUPPORTED:
			return TEXT("Local TTS not supported");
		default:
			return TEXT("Unknown error");
	}
}
